Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class RPPSServiceSEIBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.eclipse.higgins.ics.ws.wsdl.RPPSServiceSEIBindingStub

All Implemented Interfaces:
  Remote, RPPSServiceSEI, javax.xml.rpc.Stub

public class RPPSServiceSEIBindingStub
extends org.apache.axis.client.Stub
implements RPPSServiceSEI

Field Summary

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`RPPSServiceSEIBindingStub()`
`RPPSServiceSEIBindingStub(javax.xml.rpc.Service service)`
`RPPSServiceSEIBindingStub(URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`CategoryTO` | `addCategory(String userId, String password, CategoryTO category)`
`void` | `addClaimValuesMRU(String userId, String password, String claimType, String claimValue)`
`boolean` | `addUrlCardRelation(String userId, String password, String cuid, String url)`
`ResponseMessage` | `addUserProfile(String userId, String password, UserProfileTO userProfile)`
`void` | `addUserProfileFromHBX(String userId, String password)`
`FormatDescriptorTO` | `checkImportStream(String userId, String password, byte[] crd)`
`ICardTO` | `clearCardCredential(String userId, String password, String cuid)`
`boolean` | `clearCardHistory(String userId, String password, String cuid)`
`ICardTO` | `createDuplicateICard(String userId, String password, String cardName, String cuid, String pinCode)`
`ICardTO` | `createICardByTemplate(String userId, String password, ICardTemplateTO template)`
`String` | `createICardFromHBX(String userId, String password, String cardname)`
`void` | `deleteAllICard(String userId, String password)`
`boolean` | `deleteCardHistoryRecord(String userId, String password, String cuid, String url)`
`void` | `deleteCategory(String userId, String password, String categoryId)`
`ICardUpdateResponseTO` | `deleteICard(String userId, String password, String cuid)`
`boolean` | `deleteUrlCardRelation(String userId, String password, String cuid, String url)`
`boolean` | `deleteUrlsCardsRelations(String userId, String password, String cuid)`
`ResponseMessage` | `deleteUserProfile(String userId, String password)`
`ICardTO` | `editPinCode(String userId, String password, String cuid, String oldPinCode, String newPinCode)`
`byte[]` | `exportICards(String userId, String password, String formatID, String[] cards, UITokenServiceCredentialTO credential)`
`CardUsageTO[]` | `getCardHistory(String userId, String password, String cuid, int startFrom, int capacity, String orderBy, String orderDirection)`
`CardInformationTO` | `getCardInformation(String userId, String password, String cuid, int size)`
`CategoryTO[]` | `getCategory(String userId, String password)`
`MapTO[]` | `getClaimValuesMRU(String userId, String password)`
`String[]` | `getHBXUIList(String version, String windowsName)`
`String` | `getHigginsServiceGlobalIName()`
`ICardTO` | `getICardById(String userId, String password, String cuid)`
`ICardTO` | `getICardByIdAndTokenServiceCredential(String userId, String password, String cuid, UITokenServiceCredentialTO userCredintial)`
`UIResponseCardTO` | `getICardClaims(String userId, String password, String cuid, String policy, String typeofCredential, String[] credentialKey, String[] credentialValue)`
`ICardTemplateTO[]` | `getICardCreationTemplate(String userId, String password)`
`ICardResponseTO` | `getICards(String userId, String password)`
`ICardsAndCategoryTO` | `getICardsAndCategoriesByUser(String userId, String password)`
`ICardTO[]` | `getICardsByCUIDs(String userId, String password, String[] cuids)`
`ICardTO[]` | `getICardsByFormat(String userId, String password, String formatID)`
`FormatDescriptorTO[]` | `getOutputFormats(String userId, String password)`
`TokenResponseTO` | `getTokenByClaims(String sslCert, String claimNameArray, String claimValueArray)`
`TokenResponseTO` | `getTokenByUrl(String userId, String password, String policy, String policytype, String sslCert, String url)`
`ExtraTokenResponseTO` | `getTokenExtraByUrl(String userId, String password, String policy, String policytype, String sslCert, String url)`
`TokenResponseTO` | `getTokenObject(String userId, String password, String policy, String policytype, String sslCert, String[] cuids, String typeofCredential, String[] credentialKey, String[] credentialValue)`
`UIResponseTO` | `getUI(String userId, String password, String url, String target, String sslCert, String policytype, String policy)`
`UserProfileTO` | `getUserProfile(String userId, String password)`
`ICardResponseTO` | `importICardAsByteArray(String userId, String password, byte[] crd)`
`ICardResponseTO` | `importICards(String userId, String password, byte[] crd, String formatID, UITokenServiceCredentialTO credential)`
`void` | `importICardsAsString(String userId, String password, String crd)`
`ResponseMessage` | `modifyCategories(String userId, String password, CategoryTO[] categories)`
`CategoryTO` | `modifyCategory(String userId, String password, CategoryTO category)`
`UserProfileTO` | `modifyUserProfile(String userId, String password, UserProfileTO userProfile)`
`void` | `removeClaimValuesMRU(String userId, String password, String claimType, String claimValue)`
`ICardTO` | `resetPinCode(String userId, String password, String cuid, String oldPinCode)`
`boolean` | `setCardCredential(String userId, String password, String cuid, UITokenServiceCredentialTO tokenCredential)`
`ICardTO` | `setPinCode(String userId, String password, String cuid, String pinCode)`
`String[]` | `testStringArray(String[] strArray)`
`ICardUpdateResponseTO[]` | `updateClaimsAcrossCards(String userId, String password, String[] claimTypes, String[] claimValues, ICardUpdateTO[] cardUpdate)`
`ICardTO` | `updateICard(String userId, String password, ICardTO icardTO)`
`ICardUpdateResponseTO[]` | `updateICards(String userId, String password, ICardTO[] icardTOs)`
`boolean` | `userIdentifierExists(String userIdentifier)`

Methods inherited from class org.apache.axis.client.Stub
`_createCall, _getCall, _getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getTimeout, getUsername, removeProperty, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPPSServiceSEIBindingStub

    public RPPSServiceSEIBindingStub()
                              throws org.apache.axis.AxisFault

### RPPSServiceSEIBindingStub

    public RPPSServiceSEIBindingStub(URL endpointURL,
                                     javax.xml.rpc.Service service)
                              throws org.apache.axis.AxisFault

### RPPSServiceSEIBindingStub

    public RPPSServiceSEIBindingStub(javax.xml.rpc.Service service)
                              throws org.apache.axis.AxisFault

Method Detail

### createICardByTemplate

    public ICardTO createICardByTemplate(String userId,
                                         String password,
                                         ICardTemplateTO template)
                                  throws RemoteException

  Specified by:
    `createICardByTemplate` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### createICardFromHBX

    public String createICardFromHBX(String userId,
                                     String password,
                                     String cardname)
                              throws RemoteException

  Specified by:
    `createICardFromHBX` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### createDuplicateICard

    public ICardTO createDuplicateICard(String userId,
                                        String password,
                                        String cardName,
                                        String cuid,
                                        String pinCode)
                                 throws RemoteException

  Specified by:
    `createDuplicateICard` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICardCreationTemplate

    public ICardTemplateTO[] getICardCreationTemplate(String userId,
                                                      String password)
                                               throws RemoteException

  Specified by:
    `getICardCreationTemplate` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getUI

    public UIResponseTO getUI(String userId,
                              String password,
                              String url,
                              String target,
                              String sslCert,
                              String policytype,
                              String policy)
                       throws RemoteException

  Specified by:
    `getUI` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICardByIdAndTokenServiceCredential

    public ICardTO getICardByIdAndTokenServiceCredential(String userId,
                                                         String password,
                                                         String cuid,
                                                         UITokenServiceCredentialTO userCredintial)
                                                  throws RemoteException,
                                                         StsFaultException

  Specified by:
    `getICardByIdAndTokenServiceCredential` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`
    `StsFaultException`

### getICardClaims

    public UIResponseCardTO getICardClaims(String userId,
                                           String password,
                                           String cuid,
                                           String policy,
                                           String typeofCredential,
                                           String[] credentialKey,
                                           String[] credentialValue)
                                    throws RemoteException

  Specified by:
    `getICardClaims` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICardById

    public ICardTO getICardById(String userId,
                                String password,
                                String cuid)
                         throws RemoteException

  Specified by:
    `getICardById` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICards

    public ICardResponseTO getICards(String userId,
                                     String password)
                              throws RemoteException

  Specified by:
    `getICards` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICardsByCUIDs

    public ICardTO[] getICardsByCUIDs(String userId,
                                      String password,
                                      String[] cuids)
                               throws RemoteException

  Specified by:
    `getICardsByCUIDs` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICardsAndCategoriesByUser

    public ICardsAndCategoryTO getICardsAndCategoriesByUser(String userId,
                                                            String password)
                                                     throws RemoteException

  Specified by:
    `getICardsAndCategoriesByUser` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### updateICard

    public ICardTO updateICard(String userId,
                               String password,
                               ICardTO icardTO)
                        throws RemoteException

  Specified by:
    `updateICard` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### updateICards

    public ICardUpdateResponseTO[] updateICards(String userId,
                                                String password,
                                                ICardTO[] icardTOs)
                                         throws RemoteException

  Specified by:
    `updateICards` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### importICardAsByteArray

    public ICardResponseTO importICardAsByteArray(String userId,
                                                  String password,
                                                  byte[] crd)
                                           throws RemoteException

  Specified by:
    `importICardAsByteArray` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### importICardsAsString

    public void importICardsAsString(String userId,
                                     String password,
                                     String crd)
                              throws RemoteException

  Specified by:
    `importICardsAsString` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### importICards

    public ICardResponseTO importICards(String userId,
                                        String password,
                                        byte[] crd,
                                        String formatID,
                                        UITokenServiceCredentialTO credential)
                                 throws RemoteException

  Specified by:
    `importICards` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### checkImportStream

    public FormatDescriptorTO checkImportStream(String userId,
                                                String password,
                                                byte[] crd)
                                         throws RemoteException

  Specified by:
    `checkImportStream` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### exportICards

    public byte[] exportICards(String userId,
                               String password,
                               String formatID,
                               String[] cards,
                               UITokenServiceCredentialTO credential)
                        throws RemoteException

  Specified by:
    `exportICards` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getICardsByFormat

    public ICardTO[] getICardsByFormat(String userId,
                                       String password,
                                       String formatID)
                                throws RemoteException

  Specified by:
    `getICardsByFormat` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getOutputFormats

    public FormatDescriptorTO[] getOutputFormats(String userId,
                                                 String password)
                                          throws RemoteException

  Specified by:
    `getOutputFormats` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteICard

    public ICardUpdateResponseTO deleteICard(String userId,
                                             String password,
                                             String cuid)
                                      throws RemoteException

  Specified by:
    `deleteICard` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteAllICard

    public void deleteAllICard(String userId,
                               String password)
                        throws RemoteException

  Specified by:
    `deleteAllICard` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getHigginsServiceGlobalIName

    public String getHigginsServiceGlobalIName()
                                        throws RemoteException

  Specified by:
    `getHigginsServiceGlobalIName` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### testStringArray

    public String[] testStringArray(String[] strArray)
                             throws RemoteException

  Specified by:
    `testStringArray` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getTokenByClaims

    public TokenResponseTO getTokenByClaims(String sslCert,
                                            String claimNameArray,
                                            String claimValueArray)
                                     throws RemoteException

  Specified by:
    `getTokenByClaims` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getTokenObject

    public TokenResponseTO getTokenObject(String userId,
                                          String password,
                                          String policy,
                                          String policytype,
                                          String sslCert,
                                          String[] cuids,
                                          String typeofCredential,
                                          String[] credentialKey,
                                          String[] credentialValue)
                                   throws RemoteException

  Specified by:
    `getTokenObject` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getTokenByUrl

    public TokenResponseTO getTokenByUrl(String userId,
                                         String password,
                                         String policy,
                                         String policytype,
                                         String sslCert,
                                         String url)
                                  throws RemoteException

  Specified by:
    `getTokenByUrl` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getTokenExtraByUrl

    public ExtraTokenResponseTO getTokenExtraByUrl(String userId,
                                                   String password,
                                                   String policy,
                                                   String policytype,
                                                   String sslCert,
                                                   String url)
                                            throws RemoteException

  Specified by:
    `getTokenExtraByUrl` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getUserProfile

    public UserProfileTO getUserProfile(String userId,
                                        String password)
                                 throws RemoteException

  Specified by:
    `getUserProfile` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### addUserProfileFromHBX

    public void addUserProfileFromHBX(String userId,
                                      String password)
                               throws RemoteException

  Specified by:
    `addUserProfileFromHBX` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### addUserProfile

    public ResponseMessage addUserProfile(String userId,
                                          String password,
                                          UserProfileTO userProfile)
                                   throws RemoteException

  Specified by:
    `addUserProfile` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### addUrlCardRelation

    public boolean addUrlCardRelation(String userId,
                                      String password,
                                      String cuid,
                                      String url)
                               throws RemoteException

  Specified by:
    `addUrlCardRelation` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteUserProfile

    public ResponseMessage deleteUserProfile(String userId,
                                             String password)
                                      throws RemoteException

  Specified by:
    `deleteUserProfile` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteUrlCardRelation

    public boolean deleteUrlCardRelation(String userId,
                                         String password,
                                         String cuid,
                                         String url)
                                  throws RemoteException

  Specified by:
    `deleteUrlCardRelation` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteUrlsCardsRelations

    public boolean deleteUrlsCardsRelations(String userId,
                                            String password,
                                            String cuid)
                                     throws RemoteException

  Specified by:
    `deleteUrlsCardsRelations` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### userIdentifierExists

    public boolean userIdentifierExists(String userIdentifier)
                                 throws RemoteException

  Specified by:
    `userIdentifierExists` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### modifyUserProfile

    public UserProfileTO modifyUserProfile(String userId,
                                           String password,
                                           UserProfileTO userProfile)
                                    throws RemoteException

  Specified by:
    `modifyUserProfile` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### setPinCode

    public ICardTO setPinCode(String userId,
                              String password,
                              String cuid,
                              String pinCode)
                       throws RemoteException

  Specified by:
    `setPinCode` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### resetPinCode

    public ICardTO resetPinCode(String userId,
                                String password,
                                String cuid,
                                String oldPinCode)
                         throws RemoteException

  Specified by:
    `resetPinCode` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### editPinCode

    public ICardTO editPinCode(String userId,
                               String password,
                               String cuid,
                               String oldPinCode,
                               String newPinCode)
                        throws RemoteException

  Specified by:
    `editPinCode` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getCategory

    public CategoryTO[] getCategory(String userId,
                                    String password)
                             throws RemoteException

  Specified by:
    `getCategory` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### addCategory

    public CategoryTO addCategory(String userId,
                                  String password,
                                  CategoryTO category)
                           throws RemoteException

  Specified by:
    `addCategory` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteCategory

    public void deleteCategory(String userId,
                               String password,
                               String categoryId)
                        throws RemoteException

  Specified by:
    `deleteCategory` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### modifyCategory

    public CategoryTO modifyCategory(String userId,
                                     String password,
                                     CategoryTO category)
                              throws RemoteException

  Specified by:
    `modifyCategory` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### modifyCategories

    public ResponseMessage modifyCategories(String userId,
                                            String password,
                                            CategoryTO[] categories)
                                     throws RemoteException

  Specified by:
    `modifyCategories` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getCardInformation

    public CardInformationTO getCardInformation(String userId,
                                                String password,
                                                String cuid,
                                                int size)
                                         throws RemoteException

  Specified by:
    `getCardInformation` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### clearCardCredential

    public ICardTO clearCardCredential(String userId,
                                       String password,
                                       String cuid)
                                throws RemoteException

  Specified by:
    `clearCardCredential` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### setCardCredential

    public boolean setCardCredential(String userId,
                                     String password,
                                     String cuid,
                                     UITokenServiceCredentialTO tokenCredential)
                              throws RemoteException

  Specified by:
    `setCardCredential` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### clearCardHistory

    public boolean clearCardHistory(String userId,
                                    String password,
                                    String cuid)
                             throws RemoteException

  Specified by:
    `clearCardHistory` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### deleteCardHistoryRecord

    public boolean deleteCardHistoryRecord(String userId,
                                           String password,
                                           String cuid,
                                           String url)
                                    throws RemoteException

  Specified by:
    `deleteCardHistoryRecord` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getCardHistory

    public CardUsageTO[] getCardHistory(String userId,
                                        String password,
                                        String cuid,
                                        int startFrom,
                                        int capacity,
                                        String orderBy,
                                        String orderDirection)
                                 throws RemoteException

  Specified by:
    `getCardHistory` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getHBXUIList

    public String[] getHBXUIList(String version,
                                 String windowsName)
                          throws RemoteException

  Specified by:
    `getHBXUIList` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### updateClaimsAcrossCards

    public ICardUpdateResponseTO[] updateClaimsAcrossCards(String userId,
                                                           String password,
                                                           String[] claimTypes,
                                                           String[] claimValues,
                                                           ICardUpdateTO[] cardUpdate)
                                                    throws RemoteException

  Specified by:
    `updateClaimsAcrossCards` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### getClaimValuesMRU

    public MapTO[] getClaimValuesMRU(String userId,
                                     String password)
                              throws RemoteException

  Specified by:
    `getClaimValuesMRU` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### addClaimValuesMRU

    public void addClaimValuesMRU(String userId,
                                  String password,
                                  String claimType,
                                  String claimValue)
                           throws RemoteException

  Specified by:
    `addClaimValuesMRU` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

### removeClaimValuesMRU

    public void removeClaimValuesMRU(String userId,
                                     String password,
                                     String claimType,
                                     String claimValue)
                              throws RemoteException

  Specified by:
    `removeClaimValuesMRU` in interface `RPPSServiceSEI`
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD